' Theobot IR remote control v1.0 Feb 21 2014
' uses a SONY TV remote/universal remote
' uses directional arrows

#picaxe 20m2
#no_data

symbol rightstop=145:servo 2,rightstop 	' right servo null=145   fwd=125   rev=165 
symbol leftstop=144 :servo 3,leftstop   	' left servo null=144    fwd=162   rev=122 
gosub beep                           

main:
irin c.6,b7						' read IR remote code from Sony TV remote
sertxd(#b7,13,10)					' display IR code, button digits are N-1:button2=code1, button3=code2 etc

if b7=116 then gosub fwd			' alt 2=forward		
if b7=117 then gosub bwd			' alt 8=backward         A
if b7=101 then gosub stopp			' alt 5=stop        <  select >
if b7=52 then gosub left			' alt 4=left             V
if b7=51 then gosub right			' alt 6=right
goto main

fwd:servopos 2,130:servopos 3,162:return  ' tune values for fast straight forward travel
bwd:servopos 2,157:servopos 3,122:return  ' tune values for fast straight bsckward travel
stopp:servopos 2,rightstop:servopos 3,leftstop
gosub beep
return
left:servopos 2,125:servopos 3,122:return	 ' turn left
right:servopos 2,165:servopos 3,162:return ' turn right

beep:
for b7=1 to 10
toggle c.7
pause 50
next
return
